List Internal Contacts For Partner
curl --request GET \
--url https://api.example.com/v2/partners/{partner_id}/internal-contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/partners/{partner_id}/internal-contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/partners/{partner_id}/internal-contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"internal_role": "account_manager",
"partner_id": "<string>",
"remote_id": "<string>",
"internal_contact": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"name": "<string>",
"phone": "<string>",
"job_title": "<string>",
"object": "<string>"
},
"object": "<string>"
}
]{
"type": "entity-not-found",
"status": 404,
"title": "Entity not found",
"detail": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}partners
List Internal Contacts For Partner
List Internal Contacts For a Partner
Returns all internal contact assignments for this partner, with nested person data (email, name, phone).
GET
/
v2
/
partners
/
{partner_id}
/
internal-contacts
List Internal Contacts For Partner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
The role this internal contact holds for this partner.
Available options:
account_manager, account_executive, csm, lead, co_lead, practice_lead Third-party sync identifier for upsert deduplication.
An internal contact (CSM, AM, etc.) at the organization level.
Show child attributes
Show child attributes
String representing the object's type. Objects of the same type share the same value.
